#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file 'build/src/ui_NetParamsEdit.ui'
**
** Created: Mon Sep 11 12:16:18 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "build/src/ui_NetParamsEdit.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a netProperties as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
netProperties::netProperties( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setProperty( "name", "netProperties" );
    setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setProperty( "sizeGripEnabled", QVariant( FALSE, 0 ) );
    netPropertiesLayout = new QGridLayout( this, 1, 1, 11, 6, "netPropertiesLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    buttonOk->setProperty( "default", QVariant( TRUE, 0 ) );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setProperty( "autoDefault", QVariant( TRUE, 0 ) );
    Layout1->addWidget( buttonCancel );

    netPropertiesLayout->addLayout( Layout1, 1, 0 );

    tabNetParams = new QTabWidget( this, "tabNetParams" );

    tabInterface = new QWidget( tabNetParams, "tabInterface" );
    tabInterfaceLayout = new QVBoxLayout( tabInterface, 11, 6, "tabInterfaceLayout"); 

    boxEssid = new QGroupBox( tabInterface, "boxEssid" );
    boxEssid->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, boxEssid->sizePolicy().hasHeightForWidth() ) );
    boxEssid->setColumnLayout(0, Qt::Vertical );
    boxEssid->layout()->setSpacing( 6 );
    boxEssid->layout()->setMargin( 11 );
    boxEssidLayout = new QHBoxLayout( boxEssid->layout() );
    boxEssidLayout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( boxEssid, "textLabel1" );
    boxEssidLayout->addWidget( textLabel1 );

    essid = new QLineEdit( boxEssid, "essid" );
    boxEssidLayout->addWidget( essid );
    tabInterfaceLayout->addWidget( boxEssid );

    buttonGroup1 = new QButtonGroup( tabInterface, "buttonGroup1" );
    buttonGroup1->setProperty( "sizePolicy", QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, buttonGroup1->sizePolicy().hasHeightForWidth() ) );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    radioDhcp = new QRadioButton( buttonGroup1, "radioDhcp" );
    layout3->addWidget( radioDhcp );

    radioManualConfig = new QRadioButton( buttonGroup1, "radioManualConfig" );
    layout3->addWidget( radioManualConfig );
    buttonGroup1Layout->addLayout( layout3 );

    boxManualConfig = new QFrame( buttonGroup1, "boxManualConfig" );
    boxManualConfig->setProperty( "frameShape", "NoFrame" );
    boxManualConfig->setProperty( "frameShadow", "Raised" );
    boxManualConfigLayout = new QGridLayout( boxManualConfig, 1, 1, 11, 6, "boxManualConfigLayout"); 

    netmask = new QLineEdit( boxManualConfig, "netmask" );

    boxManualConfigLayout->addWidget( netmask, 2, 1 );

    textLabel4 = new QLabel( boxManualConfig, "textLabel4" );

    boxManualConfigLayout->addWidget( textLabel4, 2, 0 );

    ip = new QLineEdit( boxManualConfig, "ip" );

    boxManualConfigLayout->addWidget( ip, 0, 1 );

    domain = new QLineEdit( boxManualConfig, "domain" );

    boxManualConfigLayout->addWidget( domain, 4, 1 );

    textLabel2 = new QLabel( boxManualConfig, "textLabel2" );

    boxManualConfigLayout->addWidget( textLabel2, 0, 0 );

    textLabel3 = new QLabel( boxManualConfig, "textLabel3" );

    boxManualConfigLayout->addWidget( textLabel3, 1, 0 );

    textLabel5 = new QLabel( boxManualConfig, "textLabel5" );

    boxManualConfigLayout->addWidget( textLabel5, 3, 0 );

    dns1 = new QLineEdit( boxManualConfig, "dns1" );

    boxManualConfigLayout->addWidget( dns1, 5, 1 );

    textLabel6 = new QLabel( boxManualConfig, "textLabel6" );

    boxManualConfigLayout->addWidget( textLabel6, 4, 0 );

    broadcast = new QLineEdit( boxManualConfig, "broadcast" );

    boxManualConfigLayout->addWidget( broadcast, 1, 1 );

    gateway = new QLineEdit( boxManualConfig, "gateway" );

    boxManualConfigLayout->addWidget( gateway, 3, 1 );

    dns2 = new QLineEdit( boxManualConfig, "dns2" );

    boxManualConfigLayout->addWidget( dns2, 6, 1 );

    textLabel8 = new QLabel( boxManualConfig, "textLabel8" );

    boxManualConfigLayout->addWidget( textLabel8, 6, 0 );

    textLabel7 = new QLabel( boxManualConfig, "textLabel7" );

    boxManualConfigLayout->addWidget( textLabel7, 5, 0 );
    buttonGroup1Layout->addWidget( boxManualConfig );
    tabInterfaceLayout->addWidget( buttonGroup1 );
    spacer2 = new QSpacerItem( 20, 21, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabInterfaceLayout->addItem( spacer2 );
    tabNetParams->insertTab( tabInterface, QString::fromLatin1("") );

    tabSecurity = new QWidget( tabNetParams, "tabSecurity" );
    tabSecurityLayout = new QVBoxLayout( tabSecurity, 11, 6, "tabSecurityLayout"); 

    buttonGroup2 = new QButtonGroup( tabSecurity, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QVBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    radioWepOpen = new QRadioButton( buttonGroup2, "radioWepOpen" );
    buttonGroup2Layout->addWidget( radioWepOpen );

    radioWepRestricted = new QRadioButton( buttonGroup2, "radioWepRestricted" );
    buttonGroup2Layout->addWidget( radioWepRestricted );
    tabSecurityLayout->addWidget( buttonGroup2 );

    groupBox2 = new QGroupBox( tabSecurity, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel1_2 = new QLabel( groupBox2, "textLabel1_2" );
    groupBox2Layout->addWidget( textLabel1_2 );

    wepKey = new QLineEdit( groupBox2, "wepKey" );
    groupBox2Layout->addWidget( wepKey );

    checkWepAscii = new QCheckBox( groupBox2, "checkWepAscii" );
    groupBox2Layout->addWidget( checkWepAscii );
    tabSecurityLayout->addWidget( groupBox2 );
    spacer3 = new QSpacerItem( 21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabSecurityLayout->addItem( spacer3 );
    tabNetParams->insertTab( tabSecurity, QString::fromLatin1("") );

    netPropertiesLayout->addWidget( tabNetParams, 0, 0 );
    languageChange();
    resize( QSize(313, 458).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( radioManualConfig, SIGNAL( toggled(bool) ), boxManualConfig, SLOT( setEnabled(bool) ) );
    connect( radioDhcp, SIGNAL( toggled(bool) ), boxManualConfig, SLOT( setDisabled(bool) ) );

    // tab order
    setTabOrder( essid, radioDhcp );
    setTabOrder( radioDhcp, radioManualConfig );
    setTabOrder( radioManualConfig, ip );
    setTabOrder( ip, broadcast );
    setTabOrder( broadcast, netmask );
    setTabOrder( netmask, gateway );
    setTabOrder( gateway, domain );
    setTabOrder( domain, dns1 );
    setTabOrder( dns1, dns2 );
    setTabOrder( dns2, tabNetParams );
    setTabOrder( tabNetParams, radioWepOpen );
    setTabOrder( radioWepOpen, radioWepRestricted );
    setTabOrder( radioWepRestricted, wepKey );
    setTabOrder( wepKey, buttonHelp );
    setTabOrder( buttonHelp, buttonOk );
    setTabOrder( buttonOk, buttonCancel );
}

/*
 *  Destroys the object and frees any allocated resources
 */
netProperties::~netProperties()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void netProperties::languageChange()
{
    setProperty( "caption", tr2i18n( "Properties" ) );
    buttonHelp->setProperty( "text", tr2i18n( "&Help" ) );
    buttonHelp->setProperty( "accel", QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setProperty( "text", tr2i18n( "&OK" ) );
    buttonOk->setProperty( "accel", QKeySequence( QString::null ) );
    buttonCancel->setProperty( "text", tr2i18n( "&Cancel" ) );
    buttonCancel->setProperty( "accel", QKeySequence( QString::null ) );
    boxEssid->setProperty( "title", tr2i18n( "ESSID" ) );
    textLabel1->setProperty( "text", tr2i18n( "ESSID:" ) );
    buttonGroup1->setProperty( "title", tr2i18n( "Configuration" ) );
    radioDhcp->setProperty( "text", tr2i18n( "Automatic (DHCP)" ) );
    radioManualConfig->setProperty( "text", tr2i18n( "Manual" ) );
    textLabel4->setProperty( "text", tr2i18n( "Netmask:" ) );
    textLabel2->setProperty( "text", tr2i18n( "IP:" ) );
    textLabel3->setProperty( "text", tr2i18n( "Broadcast:" ) );
    textLabel5->setProperty( "text", tr2i18n( "Gateway:" ) );
    textLabel6->setProperty( "text", tr2i18n( "Domain:" ) );
    textLabel8->setProperty( "text", tr2i18n( "Secondary DNS:" ) );
    textLabel7->setProperty( "text", tr2i18n( "Primary DNS:" ) );
    tabNetParams->changeTab( tabInterface, tr2i18n( "I&nterface" ) );
    buttonGroup2->setProperty( "title", tr2i18n( "WEP Mode" ) );
    radioWepOpen->setProperty( "text", tr2i18n( "Open System" ) );
    radioWepOpen->setProperty( "accel", QKeySequence( QString::null ) );
    radioWepRestricted->setProperty( "text", tr2i18n( "Shared &Key" ) );
    groupBox2->setProperty( "title", tr2i18n( "WEP Key" ) );
    textLabel1_2->setProperty( "text", tr2i18n( "Key:" ) );
    checkWepAscii->setProperty( "text", tr2i18n( "ASCII" ) );
    tabNetParams->changeTab( tabSecurity, tr2i18n( "Securit&y" ) );
}

#include "ui_NetParamsEdit.moc"
